{% extends "base.no.search.html.j2" %}
{% block meta %}
  <!-- 1. skin -->
  <link rel="stylesheet" href="https://releases.flowplayer.org/7.2.7/skin/skin.css">
  <style>.flowplayer .fp-color { background-color: #fff; }</style>
  <style>.flowplayer.is-fullscreen .fp-player { background-color: #000; }</style>
  {# <!-- 2. jquery library - required for video tag based installs --> #}
  {# <script src="https://code.jquery.com/jquery-1.12.4.min.js"></script> #}
  <!-- 3. flowplayer -->
  <script src="https://releases.flowplayer.org/7.2.7/flowplayer.min.js"></script>

  <link rel="stylesheet" type="text/css" href="/static/css/ver.css" />
  <link rel="stylesheet" type="text/css" href="/static/css/flowplayer.css" />
{% endblock %}

{% block content %}
<div id="player" class="fp-outlined"></div>
{% endblock %}

{% block js %}
    <script>
    var container = document.getElementById("player");
    var video_src = "{{uri}}";

    var bean = flowplayer.bean; //flowplayer internal DOM event manager

    flowplayer(function (api, root) {
        var fsbutton = root.querySelector(".fp-fullscreen");

        //append fullscreen button after HD menu is added on ready
        api.on("ready", function () {
            root.querySelector(".fp-controls").appendChild(fsbutton);
        });

        //https://demos.flowplayer.com/scripting/double-click-to-fullscreen.html
        bean.on(root, 'dblclick', function() {
            api.fullscreen(); //toggle fullscreen

            clickHandlers.forEach(function(handler) {
                clearTimeout(handler); //do not allow running click handlers
            });
            clickHandlers = []; //reset
        });
    });

    flowplayer.conf.share             = false;
    flowplayer.conf.native_fullscreen = true;

    //install flowplayer into selected container
    flowplayer(container, {
        autoplay: true,
        clip: {
            sources: [
                {
                    type: "video/mp4",
                    src:   video_src
                }
            ]
        }
    }).on("error", function (e, api, err) {
        // var current_uri = window.location.href
        // current_uri = current_uri.replace("/v/", "/process/")
        // window.location.replace(current_uri + "/force")
        window.location.replace(document.referrer)
    })
    ;

    </script>
{% endblock %}
